%define upstream_name    Tk-NumKeypad
%define upstream_version 1.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15
BuildArch:  noarch

Summary:    Numeric Keypad for Perl/Tk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-Tk-devel

%description
A numeric keypad, including a clear button and a decimal point button. This
is useful for touchscreen or kiosk applications where access to a keyboard
won't be available.

The keypad is arranged as follows:

    7 8 9
    4 5 6
    1 2 3
    . 0 C

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.400.0-15.mga8
+ Revision: 1498287
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 tv <tv> 1.400.0-14.mga7
+ Revision: 1272731
- fix filelist
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.400.0-13.mga6
+ Revision: 1035406
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.400.0-12.mga6
+ Revision: 971505
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 1.400.0-11.mga6
+ Revision: 891776
- make it noarch thus fixing empty debuginfo

* Fri Jun 26 2015 tv <tv> 1.400.0-10.mga6
+ Revision: 845400
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.400.0-9.mga6
+ Revision: 841170
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.400.0-8.mga5
+ Revision: 741510
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.400.0-7.mga5
+ Revision: 686726
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.400.0-6.mga5
+ Revision: 632333
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.400.0-5.mga4
+ Revision: 524529
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.400.0-4.mga4
+ Revision: 430986
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.400.0-3.mga3
+ Revision: 374448
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 1.400.0-2.mga3
+ Revision: 307554
- it is an arch-dependent package

* Wed Oct 03 2012 jquelin <jquelin> 1.400.0-1.mga3
+ Revision: 302405
- update to 1.4

* Wed Oct 03 2012 jquelin <jquelin> 1.300.0-1.mga3
+ Revision: 302313
- adding missing buildrequires:
- adding missing buildrequires:
- imported package perl-Tk-NumKeypad


* Tue Oct 02 2012 cpan2dist 1.3-1mga
- initial mageia release, generated with cpan2dist
